on startMovie
  login = "LASTOFASS"
  num = login.length
  senha = "BRC1"
  repeat with i = 1 to num
    c = char i of login
    ci = charToNum(c)
    R = ci * i mod 10
    senha = senha & string(R)
  end repeat
  senha = senha & "LZ1"
  login = string([login, senha])
  setPref("brpv1vvv", login)
end